org.eclipse.cdt.doxygen

## Interface DoxygenMetadata

    public interface DoxygenMetadata

The metadata for options to configure doxygen

### Method Summary

All Methods Instance Methods Abstract Methods
`List<OptionMetadata<Boolean>>` `booleanOptions()` Returns the list of available boolean options to be shown in UI, must not return `null`.
`OptionMetadata<Boolean>` `newLineAfterBriefOption()` Returns the metadata for the "Add new line after brief tag" option, must not return `null`.
`OptionMetadata<Boolean>` `useBriefTagOption()` Returns the metadata for the "Use brief tag" option, must not return `null`.
`OptionMetadata<Boolean>` `useJavadocStyleOption()` Returns the metadata for the "Use javadoc style for tags" option, must not return `null`.
`OptionMetadata<Boolean>` `usePrePostTagOption()` Returns the metadata for the "Add pre/post tags to functions" option, must not return `null`.
`OptionMetadata<Boolean>` `useStructuralCommandsOption()` Returns the metadata for the "Use structural commands" option, must not return `null`.

### Method Detail

#### useBriefTagOption

    OptionMetadata<Boolean> useBriefTagOption()

Returns the metadata for the "Use brief tag" option, must not return `null`.

Returns:
  the metadata for the "Use brief tag" option
See Also:
  `DoxygenOptions.useBriefTags()`

#### useStructuralCommandsOption

    OptionMetadata<Boolean> useStructuralCommandsOption()

Returns the metadata for the "Use structural commands" option, must not return `null`.

Returns:
  the metadata for the "Use structural commands" option
See Also:
  `DoxygenOptions.useStructuralCommands()`

#### useJavadocStyleOption

    OptionMetadata<Boolean> useJavadocStyleOption()

Returns the metadata for the "Use javadoc style for tags" option, must not return `null`.

Returns:
  the metadata for the "Use javadoc style for tags" option
See Also:
  `DoxygenOptions.useJavadocStyle()`

#### newLineAfterBriefOption

    OptionMetadata<Boolean> newLineAfterBriefOption()

Returns the metadata for the "Add new line after brief tag" option, must not return `null`.

Returns:
  the metadata for the "Add new line after brief tag" option
See Also:
  `DoxygenOptions.newLineAfterBrief()`

#### usePrePostTagOption

    OptionMetadata<Boolean> usePrePostTagOption()

Returns the metadata for the "Add pre/post tags to functions" option, must not return `null`.

Returns:
  the metadata for the "Add pre/post tags to functions" option
See Also:
  `DoxygenOptions.usePrePostTag()`

#### booleanOptions

    List<OptionMetadata<Boolean>> booleanOptions()

Returns the list of available boolean options to be shown in UI, must not return `null`.

Returns:
  the list of boolean options